// PointLigne.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"


// PointLigne.cpp
// The Drawing of points and lines  program with GLUT

// Called to draw scene
void RenderScene(void)
	{
	// Clear the window with current clearing color
	glClear(GL_COLOR_BUFFER_BIT);

   	// Set current drawing color to red
	//		   R	 G	   B
	glColor3f(1.0f, 0.0f, 0.0f);

	// Draw three red points

	glPointSize(10.0);

	glBegin(GL_POINTS);
		glVertex2i(100,50);
		glVertex2i(100,130);
		glVertex2i(150,130);
	glEnd();

	// Draw two green lines

	glColor3f(0.0f, 1.0f, 0.0f);

	glBegin(GL_LINES);
		glVertex2i(10,20);
		glVertex2i(40,20);
		glVertex2i(20,10);
		glVertex2i(20,40);
	glEnd();

	// Flush drawing commands
    glFlush();
	}


// Setup the rendering state
void SetupRC(void)
    {
    // Set clear color to blue
    glClearColor(0.0f, 0.0f, 1.0f, 1.0f);


    }



// Called by GLUT library when the window has chanaged size
void ChangeSize(GLsizei w, GLsizei h)
	{
	// Prevent a divide by zero
	if(h == 0)
		h = 1;
		
	// Set Viewport to window dimensions
    glViewport(0, 0, w, h);

	// Reset coordinate system
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();

	// Establish clipping volume (left, right, bottom, top, near, far)
    if (w <= h) 
		glOrtho (0.0f, 250.0f, 0.0f, 250.0f*h/w, 1.0, -1.0);
    else 
		glOrtho (0.0f, 250.0f*w/h, 0.0f, 250.0f, 1.0, -1.0);

	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
	}

// Main program entry point
void main(void)
    {
	glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);
	glutCreateWindow("PointLigne");
	glutDisplayFunc(RenderScene);
    glutReshapeFunc(ChangeSize);

	SetupRC();

	glutMainLoop();
    }
